package domain


type AlibabaWdkSkuAddApiResults struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        models     */
    Models  *[]AlibabaWdkSkuAddApiResult `json:"models,omitempty" `

    /*
        接口返回成功标志     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuAddApiResults) SetErrCode(v string) *AlibabaWdkSkuAddApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResults) SetErrMsg(v string) *AlibabaWdkSkuAddApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResults) SetModels(v []AlibabaWdkSkuAddApiResult) *AlibabaWdkSkuAddApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResults) SetSuccess(v bool) *AlibabaWdkSkuAddApiResults {
    s.Success = &v
    return s
}
